Control 3.0.0 won't install

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Control 3.0.0 won't install

Sagaris
Hi All,

I have tried to install the latest control package (3.0.0), I need it to install signal. Unfortunately I did not succeed so far.
I use a MacBookPro with OSX El Captain 10.11.6
Octave 4.0.3

I tried to install it with:
>> pkg install -forge control

this gives:
clang: warning: -lsuitesparseconfig: 'linker' input unused
clang: warning: -lmetis: 'linker' input unused
clang: warning: argument unused during compilation: '-L/Applications/Octave.app/Contents/Resources/usr/opt/suite-sparse/lib'
clang: warning: argument unused during compilation: '-L/Applications/Octave.app/Contents/Resources/usr/opt/metis/lib'
<built-in>: internal compiler error: Illegal instruction: 4

<built-in>: internal compiler error: Abort trap: 6
gfortran: internal compiler error: Abort trap: 6 (program f951)
Please submit a full bug report,
with preprocessed source if appropriate.
See <https://github.com/Homebrew/homebrew/issues> for instructions.
make: *** [slicotlibrary.a] Error 4
make: *** Waiting for unfinished jobs....
clang: warning: argument unused during compilation: '-pthread'
tar -xzf slicot.tar.gz
/Applications/Octave.app/Contents/Resources/usr/Cellar/octave/4.0.3/bin/mkoctfile-4.0.3 __control_helper_functions__.cc
mkdir sltmp
mv slicot/src/*.f ./sltmp
mv slicot/src_aux/*.f ./sltmp
cp TG04BX.fortran ./sltmp/TG04BX.f
cp TB01ZD.fortran ./sltmp/TB01ZD.f
cd sltmp; /Applications/Octave.app/Contents/Resources/usr/Cellar/octave/4.0.3/bin/mkoctfile-4.0.3 -c *.f

pkg: error running `make' for the control package.
error: called from 'configure_make' in file /Applications/Octave.app/Contents/Resources/usr/Cellar/octave/4.0.3/share/octave/4.0.3/m/pkg/private/configure_make.m near line 96, column 9

As well I tried to install it differently (after downloading the package) by:
>> pkg install control-3.0.0.tar

this gives:
warning: file control-3.0.0.tar does not exist

If anyone could be of help, that would be great.

Thanks in advance!

Loading...